import { BaseProvider } from '#templates/base/provider';
import { DebtReminderPolicyTarget } from '#models/DebtReminderPolicyTarget';

export class DebtReminderPolicyTargetProvider extends BaseProvider<DebtReminderPolicyTarget> {
	public static instance: DebtReminderPolicyTargetProvider;

	public static getInstance(): DebtReminderPolicyTargetProvider {
		DebtReminderPolicyTargetProvider.instance ??= new DebtReminderPolicyTargetProvider();
		return DebtReminderPolicyTargetProvider.instance;
	}

	public static get model() {
		return DebtReminderPolicyTarget;
	}

	constructor() {
		super('DebtReminderPolicyTarget');
	}
}
